Lookup Customer Transactions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API retrieves a list of customer transactions based on a specified customer identifier and filters.

Example request

curl --location 'https://eu.api.capillarytech.com/v2/customers/lookup/transactions?identifierName=mobile&identifierValue=918088369835&source=INSTORE&transactionType=REGULAR&startDate=2025-01-01&endDate=2025-12-31&localCurrency=false&transactionId=894749264&number=txn-118&startId=1000&endId=2000&entityType=STORE&entityCode=STORE_001&sortOrder=DESC&limit=20&offset=0&embed=BILL_CF%2CBILL_EF%2CATTRIBUTION%2CPAYMENT_MODES%2CCREDIT_NOTES%2CBILL_STORE_DETAILS%2CBILL_POINTS%2CTRANSACTION_IDENTIFIER' \
--header 'Authorization: Basic bWFkaHMjU2YQ==' \
--header 'Content-Type: application/json' \
--header 'Cookie: _cfuvid=iOrJ_zuHNucnWYJlrloDHCuLzbcD.yzBleSJLaFGd6s-1769592321072-0.0.1.1-604800000'
curl --location 'https://eu.api.capillarytech.com/v2/customers/lookup/transactions?identifierName=mobile&identifierValue=918088369835&source=INSTORE&transactionType=REGULAR&sortOrder=DESC&limit=1&offset=0&embed=BILL_CF%2CBILL_EF%2CATTRIBUTION%2CPAYMENT_MODES%2CCREDIT_NOTES%2CBILL_STORE_DETAILS%2CBILL_POINTS%2CTRANSACTION_IDENTIFIER' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'

Prerequisite

  • Authentication details: Basic or OAuth authentication details.
    For more information on authentication, see the Authentication documentation.
  • Authorisation/access group details: Write access to customer group resource. For more information on access control, see the access group documentation.
  • The customer should be registered and have at least made one transaction.

Resource information

URI/v2/customers/lookup/transactions
Pagination supported?Yes
Batch supportNo

Query parameters

ParameterData TypeRequiredDescription
identifierNamestringYesUnique registered identifier of the customer.
Supported Values: mobile, email, externalId, id, wechat, cardnumber, cardExternalId
identifierValuestringYesValue of the identifier.
For example, if identifierName is mobile, identifierValue is mobile number.
sourcestringoptionalPass the source from which the transaction is made.
Supported Values: INSTORE, WECHAT, MARTJACK (AnywhereCommerce), WEB_ENGAGE, ECOMMERCE, JD, TAOBAO, TMALL , FACEBOOK , WEBSITE (other website), OTHERS (any other source).
transactionTypeenumoptional

Specifies which transaction types are included in the response.

Supported values:
REGULAR – Includes only standard sales transactions

RETURN – Includes only return or refund transactions

ALL – Includes both sales and return transactions

Default: ALL (applied when the parameter is not provided)

startDatestringoptionalTransaction start date in the format YYYY-MM-DD .
For example: 2025-01-01
endDatestringoptionalTransaction end date in the format YYYY-MM-DD .
For example: 2025-01-01
localCurrencybooleanoptional

If set to true, retrieves the amount, gross amount and discount in the transaction currency (the currency using which the transaction was made) as well. Not applicable for payment modes and credit notes.

Default value: False
Supported Values: True and False.

transactionIdstringoptionalUnique transaction ID used to retrieve transaction details. This ID is generated when the transaction is created. You can also retrieve it from Member Care UI.
To retrieve details for multiple transactions, provide a comma-separated list of transaction IDs.
numberstringoptionalUnique bill number used to retrieve transaction details. You can get the bill number from the Add Transaction API or from the Member Care UI.
startIdstringoptionalUnique transaction ID from which the system starts retrieving transaction details. Transactions with an ID greater than or equal to this value are included in the results.
Example: If startId is 5000, the system retrieves transactions with an ID greater than or equal to 5000
endIdstringoptional

Unique transaction ID up to which the system retrieves transaction details. Transactions with an ID less than or equal to this value are included in the results.

Example: If endId is 8000, the system retrieves transactions with an ID less than or equal to 8000

entityTypeenumoptionalSpecifies the level of the store hierarchy to apply the filter.
Supported values:
STORE, ZONE, CONCEPT and TILL.
Note: Values are case-sensitive.
entityCodestringoptional

Specifies the unique identifier of the entity selected in entityType.

Example:
When entityType=STORE, entityCode is the store code (for example, STORE_001)

When entityType=ZONE, entityCode is the zone code (for example, NORTH_ZONE)

When entityType=TILL, entityCode is the till or cash register code (for example, TILL_05)

sortOrderenumoptionalOrder in which records are sorted. ASC and DESC are supported values.
Default order is DESC.
limitintegeroptionalNumber of transaction records to display per page.
Default limit is 20.
offsetintegeroptionalPage number to retrieve. To view the first page, set the value to 0.
embedstringoptionalSpecifies the details to include in the response. Supported values:
  • TRANSACTION_IDENTIFIER: Includes transaction details to the response.
  • BILL_CF: Includes custom fields associated with the transaction.
  • BILL_EF: Includes extended fields of the transaction.
  • ATTRIBUTION: Includes additional details regarding the transaction.
  • PAYMENT_MODES: Includes modes of payment for the transaction.
  • CREDIT_NOTES: Includes notes or references related to credits of the transaction.
  • BILL_STORE_DETAILS: Includes details of the store or outlet associated with the transaction.
  • BILL_POINTS: Includes information associated with the promised points, regular points, promotional points, and alternate currencies.

Example response

{
  "pagination": {
    "limit": 20,
    "offset": 0,
    "sortBy": "BILLING_TIME",
    "sortOrder": "DESC",
    "total": 1
  },
  "data": [
    {
      "id": 894749251,
      "customerId": 566135941,
      "loyaltyLogId": 894749251,
      "billingTime": "2025-12-08T10:35:00Z",
      "billNumber": "txn-118",
      "type": "REGULAR",
      "notes": "",
      "amount": 5000,
      "grossAmount": 5000,
      "discount": 0,
      "outlierStatus": "NORMAL",
      "billingStore": {
        "id": 75152715,
        "code": "doc123",
        "description": "",
        "name": "DocStore",
        "type": "STORE",
        "referenceId": -1,
        "adminType": "GENERAL",
        "isActive": true,
        "isOuEnabled": false,
        "timeZoneId": 191,
        "currencyId": 95,
        "languageId": 148,
        "default": false
      },
      "billPoints": {
        "pointsBreakup": [
          {
            "programName": "DocDemoDefaultProgram",
            "programId": 973,
            "regularPoints": [
              {
                "points": 10000,
                "pointsAwardedType": "POINT_AWARDED"
              }
            ],
            "promisePoints": [],
            "promoPoints": []
          }
        ],
        "aggregatedBillPoints": [
          {
            "programName": "DocDemoDefaultProgram",
            "programId": 973,
            "regularPoints": {
              "points": 10000
            },
            "promisePoints": {
              "points": 0
            },
            "promoPoints": {
              "points": 0
            }
          }
        ],
        "alternateCurrenciesBreakup": [],
        "aggregatedBillAlternateCurrencies": []
      },
      "attribution": {
        "createDate": "2025-12-08T10:35:00Z",
        "createdBy": {
          "id": 75152721,
          "code": "naman_doc",
          "description": "",
          "name": "naman",
          "type": "TILL",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 191,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "modifiedBy": {
          "referenceId": -1,
          "default": false
        },
        "modifiedDate": "2025-12-10T06:11:36Z"
      },
      "txnIdentifiers": [
        {
          "type": "id",
          "value": "566135941"
        }
      ]
    }
  ],
  "warnings": [],
  "errors": []
}
{
  "pagination": {
    "limit": 1,
    "offset": 0,
    "sortBy": "BILLING_TIME",
    "sortOrder": "DESC",
    "total": 66
  },
  "data": [
    {
      "id": 896977973,
      "customerId": 566135941,
      "loyaltyLogId": 896977973,
      "billingTime": "2026-01-27T09:00:00Z",
      "billingTimeInputOffset": "+05:30",
      "billNumber": "test00transact12399",
      "type": "REGULAR",
      "notes": "Regular Tranasction number 122",
      "amount": 2000,
      "grossAmount": 2000,
      "discount": 0,
      "outlierStatus": "NORMAL",
      "billingStore": {
        "id": 75152715,
        "code": "doc123",
        "description": "",
        "name": "DocStore",
        "type": "STORE",
        "referenceId": -1,
        "adminType": "GENERAL",
        "isActive": true,
        "isOuEnabled": false,
        "timeZoneId": 191,
        "currencyId": 95,
        "languageId": 148,
        "default": false
      },
      "customFields": {
        "booking_date": "2025-07-30",
        "origin": "instore",
        "paymentmode": "card"
      },
      "extendedFields": {
        "event_input_date_offset": "+05:30"
      },
      "billPoints": {
        "pointsBreakup": [],
        "aggregatedBillPoints": [],
        "alternateCurrenciesBreakup": [],
        "aggregatedBillAlternateCurrencies": []
      },
      "attribution": {
        "createDate": "2026-01-27T09:00:00Z",
        "createdBy": {
          "id": 75155297,
          "code": "tj_capillary",
          "description": "",
          "name": "tj_capillary",
          "type": "TILL",
          "referenceId": -1,
          "adminType": "GENERAL",
          "isActive": true,
          "isOuEnabled": false,
          "timeZoneId": 191,
          "currencyId": 95,
          "languageId": 148,
          "default": false
        },
        "modifiedBy": {
          "referenceId": -1,
          "default": false
        },
        "modifiedDate": "2026-01-28T12:19:46Z"
      },
      "txnIdentifiers": [
        {
          "type": "mobile",
          "value": "918088369835"
        }
      ]
    }
  ],
  "warnings": [],
  "errors": []
}

Response parameter

ParameterData TypeDescription
.paginationObjectContains pagination details for the transaction list.
..limitIntegerIndicates maximum number of records returned per request.
..offsetIntegerIndicates the position from which records start and is used for pagination.
..sortByStringField name used to sort transactions.
Possible value: BILLING_TIME.
..sortOrderStringIndicates the order in which records are sorted.
Possible values: ASC (ascending) or DESC (descending).
..totalIntegerTotal number of transactions matching the query filters.
.dataArrayArray of objects containing the list of transactions.
..idIntegerUnique identifier for the transaction.
customerIdIntegerUnique identifier for the customer associated with the transaction.
..loyaltyLogIdIntegerUnique ID of the transaction record in the loyalty log entry.
..billingTimeStringBill creation date and time in ISO 8601 format, returned in the server time zone. EU server example: 2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC) India server example: 2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST) Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.
billingTimeInputOffsetintegerSpecifies the time difference, in minutes, between the billing time provided in the request and UTC. This indicates the timezone offset that was applied when the original billing time was recorded.
..billNumberStringBill or invoice number linked to the transaction.
..typeEnum

Indicates the type of Transaction.

Possible values:

i. REGULAR: A normal purchase transaction with no return.

ii. NOT_INTERESTED: A bill where the customer made a purchase transaction but explicitly chose not to enroll/participate in loyalty program.

iii. RETURN: A return/cancellation transaction where items from a previous bill are being returned.

iv.NOT_INTERESTED_RETURN: A bill where the customer returned items from a purchase that was not on the loyalty program.

v. MIXED: A bill that has both new purchases and returns on the same receipt.

vi. NI_MIXED: A bill with both purchases and returns where the customer is not using the loyalty program.

..notesStringNote added when creating a transaction.
..amountDecimalFinal payable amount after discount in base currency.
..grossAmountDecimalTotal transaction value before discount in base currency.
..discountDecimalTotal discount applied to the transaction in base currency.
..outlierStatusEnum

Indicates if the transaction is flagged as an outlier.

Possible Values: INTERNAL, NORMAL, INVALID, OUTLIER, FAILED, DELETED, RETRO, FRAUD, TEST.

..billingStoreObjectAn object containing details about the billing store.
...idIntegerThe store ID.
...codeStringThe store code.
...descriptionStringThe store description.
...nameStringThe store name.
...referenceIdIntegerThe unique ID from an external system which is used for linking the billing store in loyalty to its corresponding to an external record (for example, the POS/ERP/store master). A positive value indicates a valid external link, while -1 (or null) means no external reference is configured.
...adminTypeStringThe store admin type.
Possible values: ADMIN, GENERAL.
...isActiveBooleanIndicates if the store is active.
...isOuEnabledBooleanIndicates if Organization Unit (OU) is enabled for the store.
...timeZoneIdIntegerThe ID of the time zone used for that store (for example, which local time zone the store operates in). It’s used so bill times can be shown/processed in the store’s local time
...currencyIdIntegerThe ID of the currency used by that store. For example, which currency the store’s prices and bills are in.
...languageIdIntegerThe ID of the language configured for that store. For example, which language is used for store‑specific labels, messages, or content.
...defaultBoolean

Indicates whether the store is configured as the default billing store.

Possible values:
true – The store is set as the default billing store for the organization or context.
false – The store is not the default billing store.

..customFieldsArrayAn array containing list of custom fields for transaction.
..extendedFieldsArrayAn array containing list of extended fields for transaction.
..billPointsObjectObject containing details about loyalty points earned from the bill.
...pointsBreakupArrayBreakdown of points earned. Includes info on promised points, promotional points, regular points, and points awarded type with the associated program type and program ID.
....programNameStringThe name of the program
....programIdIntegerUnique Id of the program
....regularPointsArrayRedeemable loyalty points earned for the transaction, excluding promotional or bonus points.
.....pointsDecimalTotal points issued for a transaction.
.....pointsAwardedTypeString

The types of points that are awarded.

Possible values: Point_Awarded, Point_Awarded_Bill_Promotion, Point_Awarded_Lineitem,
Point_Awarded_Customer_Promotion

....promisePointsArrayPoints that are not yet active and will convert to regular points after a delay. If the transaction is returned within that window, these promised points are reverted and never become current points.
....promoPointsArrayBonus loyalty points awarded through promotions at the bill, line-item, or customer level, in addition to regular points. The source of these points is a promotion rather than the base earn rule.
...aggregatedBillPointsArrayIncludes info on promised points, promotional points, and regular points with the associated program type and program ID.
...alternateCurrenciesBreakupArrayBreakdown of alternate currencies earned with the related information. This is available when alternate currency is enabled for the org and awarded.
...aggregatedBillAlternateCurrenciesarrayBreakdown of alternate currencies earned with the related information. This is available when alternate currency is enabled for the org and awarded.
..attributionObjectAn object containing attribution details.
...createDateString

Indicates the creation date and time of the transaction in ISO 8601 format, returned in the server time zone.

EU server example
2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example
2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

...createdByObjectAn object containing details about the creator.
....idIntegerThe creator's ID.
....codeStringThe creator's code. It is also the till id.
....descriptionStringThe creator's description.
....namestringThe creator's name.
....typestring

The type of entity that created or updated the transaction.

Possible values: ZONE, CONCEPT, STORE, TILL, STR_SERVER, ADMIN_USER, ASSOCIATE, RULE and OU.

....referenceIdIntegerInternal reference ID of the creator entity. Used by backend systems to link this 'created by' entity to its source record.
....adminTypeString

The level of access that the creating or updating entity has.

Possible values: ADMIN and GENERAL.

....isActiveBooleanIndicates if the creator is active.
....isOuEnabledIntegerIndicates if Organization Unit (OU) is enabled for the creator.
....timeZoneIdIntegerThe time zone ID for the creator.
....currencyIdIntegerThe currency ID used by the creator.
....languageIdIntegerThe language ID used by the creator.
....defaultBooleanIndicates whether this creator entity is the default one for its context. If true, this is the default user/store/till to attribute actions to when no more specific creator is available.
...modifiedByObjectDetails on the modifications made.
...modifiedDateString

Indicates the creation date and time of the transaction in ISO 8601 format, returned in the server time zone.

EU server example
2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example
2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

..txnIdentifiersArrayArray containing the customer identifier details used when the transaction was created.
...typeStringType of identifier used for transaction.
...valueStringValue of the identifier.
.warningsArrayArray containing any warnings encountered during processing.
.errorsArrayArray containing any errors encountered during processing.

Error codes

Error codesDescription
8003Source information is missing.
8130Identifiername and value is missing.
816Customer not found for organization
1011Cannot find customer for provided identifier
1012Cannot find customer with the provided mobile/external ID/email ID
1013Customer is not registered for the loyalty program

Query Params
string
required
string
required
string
required
string
date
date
boolean
integer
string
integer
integer
string
string
string
enum
Allowed:
integer
Defaults to 20
integer
Defaults to 0
string
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json